#pragma once
#include "StaticWindow.h"

class NetworkInfoWindow :
	public StaticWindow
{
public:
	NetworkInfoWindow();
	~NetworkInfoWindow();

	int Create(HWND parent = 0);

	CheckBox Wireless;
	TextBox NetworkAdapter;
	TextBox LocalMAC;
	TextBox HubMAC;
	TextBox SignalStrength;
	TextBox LocationName;
	TextBox IPAddress;

	void OnTimer();
	virtual void Show();
	virtual void Hide();
};